bitel.billing.server.bill.bean

## Class Attribute

- java.lang.Object
- - bitel.billing.server.bill.bean.Attribute

-     public class Attribute
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attribute()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCID()`
    `java.util.Calendar` | `getEnd()`
    `int` | `getId()`
    `int` | `getID()` Deprecated.
    `java.lang.String` | `getName()`
    `java.util.Calendar` | `getStart()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getValue()`
    `void` | `setCID(int _cid)`
    `void` | `setEnd(java.util.Calendar end)`
    `void` | `setId(int _id)`
    `void` | `setID(int _id)` Deprecated.
    `void` | `setName(java.lang.String _name)`
    `void` | `setStart(java.util.Calendar start)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setValue(java.lang.String _value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          public Attribute()

  - ### Method Detail

    - #### getId

          public int getId()

    - #### getID

          @Deprecated
          public int getID()

      Deprecated.
      Использовать `getId()`.
      Returns:

    - #### setId

          public void setId(int _id)

    - #### setID

          @Deprecated
          public void setID(int _id)

      Deprecated.
      Использовать `setId(int)`.
      Parameters:
        `_id` -

    - #### getCID

          public int getCID()

    - #### setCID

          public void setCID(int _cid)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String _name)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue(java.lang.String _value)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getEnd

          public java.util.Calendar getEnd()

    - #### setEnd

          public void setEnd(java.util.Calendar end)

    - #### getStart

          public java.util.Calendar getStart()

    - #### setStart

          public void setStart(java.util.Calendar start)